Bug 588099 - NM crashes after suspend to memory
Summary: NM crashes after suspend to memory
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-02 16:59 UTC by George Billios
Modified: 2010-05-04 19:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-04 19:14:12 UTC
Type: ---


Attachments (Terms of Use)
/var/log/messages after resume (23.86 KB, text/plain)
2010-05-02 16:59 UTC, George Billios
no flags Details

Description George Billios 2010-05-02 16:59:02 UTC
Created attachment 410819 [details]
/var/log/messages after resume

Description of problem:

After resuming from suspend NM doesn't work, nm-applet is not available in tray and the log shows it crashed. Have to restart the service for it to work.


Version-Release number of selected component (if applicable):
NetworkManager-openvpn-0.8-2.git20100411.fc13.x86_64
NetworkManager-gnome-0.8.0-8.git20100426.fc13.x86_64
NetworkManager-0.8.0-8.git20100426.fc13.x86_64
NetworkManager-openconnect-0.8.0-1.git20100411.fc13.x86_64
NetworkManager-pptp-0.8.0-1.git20100411.fc13.x86_64
NetworkManager-glib-0.8.0-8.git20100426.fc13.x86_64
NetworkManager-vpnc-0.8.0-1.git20100411.fc13.x86_64




How reproducible:
Always

Steps to Reproduce:
1.Suspend to memory
2.Resume
3.
  
Actual results:
NM crashes

Expected results:
NM should reconnect to network. 

Additional info:

I attach /var/log/messages after resume

Comment 1 Dan Williams 2010-05-02 21:38:34 UTC
I believe this is fixed by:

https://admin.fedoraproject.org/updates/NetworkManager-0.8.0-10.git20100502.fc13
https://admin.fedoraproject.org/updates/NetworkManager-0.8.0-10.git20100502.fc12

Please test that and if you see it again, let me know!

Comment 2 George Billios 2010-05-03 14:53:11 UTC
I installed 

NetworkManager-0.8.0-11.git20100503.fc13.x86_64.rpm

from koji and seems to work fine now. Suspended a few times and NM worked fine after resume.

You can close the bug.

Comment 3 Dan Williams 2010-05-04 19:14:12 UTC
Ok, thanks.  Note that there are a few bugs in the version you installed that we're fixing now, so you may want to update it when new versions come out.  But we'll close this bug as it's fix.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.